Subject: Re: bug#37689: Fringe pixmaps, widgets, etc. look ridiculously tiny in hidpi screen

From: Carlos Pita <[email-masked]>
Date: Sat, 12 Oct 2019 04:56:45 -0300

Hi Eli,

after debugging the C part of the code I've changed my mind regarding
what I'd said.

First, I realized that the default build wasn't using cairo, so I changed that.

Now I'm exploring how to change scale in xterm.c/x_cr_draw_image, I've
tried changing the scale of the cairo context, of the surface and of
the pattern, yet to no avail. I guess I will have to sit  down and
read about how all these parts interact instead of my current
hit-and-miss approach. But maybe this will fix other problems, for
example those small widgets in my screenshots.